function death(damage_type_bit_field, damage_message, entity_thats_responsible, drop_items)
  if HasFlagPersistent("banana_of_rectitude_world_blessed_with_potassium") then
    local entity_id = GetUpdatedEntityID()
    local genome_data_comp = EntityGetFirstComponentIncludingDisabled(entity_id, "GenomeDataComponent")
    if genome_data_comp then
      local herd_id = ComponentGetValue2(genome_data_comp, "herd_id")
      local herd_name = HerdIdToString(herd_id)
      -- Yes hiisi are orcs, confirmed
      if herd_name == "orcs" then
        local x, y = EntityGetFirstHitboxCenter(entity_id)
        EntityLoad("mods/banana_of_rectitude/files/banana_physics_prop.xml", x, y - 3)
        SetRandomSeed(x + GameGetFrameNum(), y)
        if Randomf() < 0.005 then
          EntityLoad("mods/banana_of_rectitude/files/banana_portal.xml", x, y - 30)
        end
      end
    end
  end
end
