local entity_id = GetUpdatedEntityID()
local x, y, rot = EntityGetTransform(entity_id)
local cam_x, cam_y, cam_width, cam_height = GameGetCameraBounds()
local cam_center_x, cam_center_y = GameGetCameraPos()
SetRandomSeed(GameGetFrameNum() + entity_id, entity_id + x)
local speed = 2
local random_start_angle = Randomf(math.pi * 2)
local vx = GetValueNumber("vx", math.cos(random_start_angle) * speed)
local vy = GetValueNumber("vy", math.sin(random_start_angle) * speed)

local function retarget()
  local padding = 50
  local target_x, target_y = Random(cam_x + padding, cam_x + cam_width - padding), Random(cam_y + padding, cam_y + cam_height - padding)
  local angle = math.atan2(target_y - y, target_x - x)
  vx = math.cos(angle) * speed
  vy = math.sin(angle) * speed
end

if (x < cam_x - 200) or (x > cam_x + cam_width + 200)
or (y < cam_y - 100) or (y > cam_y + cam_height + 100) then
  retarget()
end

x = x + vx
y = y + vy

local angle = math.pi / 2
if vx ~= 0 then
  angle = math.atan(vy / vx)
end

SetValueNumber("vx", vx)
SetValueNumber("vy", vy)

EntitySetTransform(entity_id, x, y, angle)
