local gui, gui2

if not GetValueBool("initialized", false) then
  -- On added
  SetValueBool("initialized", true)
else
  -- On removed
  GuiDestroy(gui)
  GuiDestroy(gui2)
end

function enabled_changed(entity_id, is_enabled)
  if not is_enabled then
    if gui then
      GuiDestroy(gui)
      gui = nil
    end
    if gui2 then
      GuiDestroy(gui2)
      gui2 = nil
    end
  end
end

local ui = dofile_once("mods/banana_of_rectitude/files/skill_board/skill_board_gui.lua")
-- Runs every frame
function wake_up_waiting_threads()
  gui = gui or GuiCreate()
  gui2 = gui2 or GuiCreate()
  GuiStartFrame(gui)
  local screen_width, screen_height = GuiGetScreenDimensions(gui)
  local board_width = screen_width / 2
  local board_height = screen_height * 0.75
  ui(gui, gui2, screen_width / 2 - board_width / 2 - 90, screen_height / 2 - board_height / 2 + 20, board_width, board_height)
end
