local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)
SetRandomSeed(entity_id + x, y)
if Randomf() < 0.02 then
  for i, comp in ipairs(EntityGetComponentIncludingDisabled(entity_id, "SpriteComponent") or {}) do
    local img = ComponentGetValue2(comp, "image_file")
    if img == "data/enemies_gfx/worm_big_head.xml" then
      ComponentSetValue2(comp, "image_file", "mods/banana_of_rectitude/files/banana_worm_big_head.png")
      ComponentSetValue2(comp, "offset_x", 32)
    elseif img == "data/enemies_gfx/worm_big_body.xml" then
      ComponentSetValue2(comp, "image_file", "mods/banana_of_rectitude/files/banana_worm_big_body.png")
    elseif img == "data/enemies_gfx/worm_big_tail.xml" then
      ComponentSetValue2(comp, "image_file", "mods/banana_of_rectitude/files/banana_worm_big_tail.png")
    end
  end
  local damage_model_comp = EntityGetFirstComponentIncludingDisabled(entity_id, "DamageModelComponent")
  if damage_model_comp then
    ComponentSetValue2(damage_model_comp, "ragdoll_material", "meat_banana")
    ComponentSetValue2(damage_model_comp, "blood_material", "")
    ComponentSetValue2(damage_model_comp, "blood_spray_material", "")
  end
end
