local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

if not GetValueBool("initialized", false) then
  SetValueBool("initialized", true)
  local function create_banana_wand(seed_x, seed_y)
    SetRandomSeed(seed_x, seed_y)
    local EZWand = dofile_once("mods/banana_of_rectitude/lib/EZWand.lua")
    -- local wand = EZWand("mods/banana_of_rectitude/files/banana_wand.xml")
    local wand = EZWand{
      rechargeTime = Random(15, 20),
      castDelay = Random(15, 20),
      spread = Randomf(5, 10),
      manaMax = Random(300, 400),
      manaChargeSpeed = Random(150, 200),
      capacity = Random(5, 8),
    }
    wand:UpdateSprite()
    wand:AddSpells("BANANA_OF_RECTITUDE_BANANARANG", 3, "BANANA_OF_RECTITUDE_BANANA_MISSILE")
    -- wand:AddSpells("HOMING", "CIRCLE_SHAPE", "BUBBLESHOT", 6)
    return wand
  end

  local wand = create_banana_wand(x, y)
  wand:PlaceAt(x, y)
  -- local inventory_quick = EntityCreateNew("inventory_quick")
  -- EntityAddChild(entity_id, inventory_quick)
  -- EntityAddChild(inventory_quick, wand.entity_id)
  -- EntityAddComponent2(entity_id, "GunComponent")
  -- EntityAddComponent2(entity_id, "Inventory2Component", {
  --   full_inventory_slots_x=8,
  --   full_inventory_slots_y=8,
  --   mSavedActiveItemIndex=0,
  --   quick_inventory_slots=1,
  -- })
  -- EntityAddComponent2(wand.entity_id, "ItemAIKnowledgeComponent", {
  --   is_known=1,
  --   is_ranged_weapon=1,
  --   is_safe=1,
  --   is_weapon=1,
  --   ranged_min_distance=0
  -- })

  -- EntitySetComponentsWithTagEnabled(wand.entity_id, "enabled_in_world", false)
  -- EntitySetComponentsWithTagEnabled(wand.entity_id, "enabled_in_hand", true)
  -- EntitySetComponentsWithTagEnabled(wand.entity_id, "enabled_in_inventory", true)






end

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)

local animal_ai_comp = EntityGetFirstComponentIncludingDisabled(entity_id, "AnimalAIComponent")
if animal_ai_comp then
  --mGreatestThreat, mGreatestPrey
  -- local player = EntityGetWithTag("player_unit")[1]
  -- if not player then
  --   player = EntityGetWithTag("polymorphed_player")[1]
  -- end
  -- if player then
  --   local x, y = EntityGetTransform(player)
  --   ComponentSetValue2(animal_ai_comp, "mHomePosition", x, y)
  -- end
  local mGreatestPrey = ComponentGetValue2(animal_ai_comp, "mGreatestPrey")
  local x, y
  if mGreatestPrey and EntityGetIsAlive(mGreatestPrey) then
    x, y = EntityGetTransform(mGreatestPrey)
    -- ComponentSetValue2(animal_ai_comp, "ai_state", 6)
    -- ComponentSetValue2(animal_ai_comp, "mHomePosition", x, y)
  -- else
  --   local player = EntityGetWithTag("player_unit")[1]
  --   if player then
  --     x, y = EntityGetTransform(player)
  --   end
  end
end

