local utils = dofile_once("mods/banana_of_rectitude/files/utils.lua")
local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform(entity_id)
local child = utils.get_child_by_name(entity_id, "ping_emitter_pos")
if child then
  x, y = EntityGetTransform(child)
end
local target_x = tonumber(GlobalsGetValue("banana_of_rectitude_bananomaly_target_x", "-999999"))
local target_y = tonumber(GlobalsGetValue("banana_of_rectitude_bananomaly_target_y", "-999999"))
local dist_x, dist_y = target_x - x, target_y - y
local dist_to_target_squared = dist_x^2 + dist_y^2

local item_component = EntityGetFirstComponentIncludingDisabled(entity_id, "ItemComponent")
if item_component then
  -- Sprite indicating thing is far
  local sprite = "bananomaly_detector_item.png"
  if dist_to_target_squared < 500 * 500 then
    -- Sprite indicating thing is near
    sprite = "bananomaly_detector_item2.png"
  end
  ComponentSetValue2(item_component, "ui_sprite", "mods/banana_of_rectitude/files/" .. sprite)
end
