local enemie_gfx_paths = {
"acidshooter.png",
"acidshooter_weak.png",
"alchemist.png",
"ant.png",
"assassin.png",
"assassin_emissive.png",
"barfer.png",
"basebot_hidden.png",
"basebot_hidden_emissive.png",
"basebot_neutralizer.png",
"basebot_neutralizer_emissive.png",
"basebot_sentry.png",
"basebot_sentry_emissive.png",
"basebot_soldier.png",
"basebot_soldier_emissive.png",
"bat.png",
"berserkspirit.png",
"bigbat.png",
"bigfirebug.png",
"bigfirebug_emissive.png",
"bigzombie.png",
"bigzombiehead.png",
"bigzombietorso.png",
"blob.png",
"blob_emissive.png",
"bloodcrystal_physics.png",
"bloom.png",
"chest_mimic.png",
"confusespirit.png",
"coward.png",
"crystal.png",
"crystal_physics.png",
"darkghost.png",
"darkghost_skull.png",
"deer.png",
"dragon_body.png",
"dragon_head.png",
"dragon_tail.png",
"drone.png",
"drone_emissive.png",
"drone_lasership.png",
"drone_physics.png",
"drone_shield.png",
"duck.png",
"eel_body.png",
"eel_body2.png",
"eel_body3.png",
"eel_head.png",
"eel_tail.png",
"elk.png",
"endworm_head.png",
"endworm_middle.png",
"endworm_tail.png",
"enlightened_alchemist.png",
"ethereal_being.png",
"failed_alchemist.png",
"failed_alchemist_b.png",
"firebug.png",
"firebug_emissive.png",
"firemage.png",
"firemage_hotspots.png",
"firemage_weak.png",
"fireskull.png",
"fish_01.png",
"fish_02.png",
"flamer.png",
"fly.png",
"friend.png",
"frog.png",
"frog_big.png",
"fungus.png",
"fungus_big.png",
"fungus_giga.png",
"fungus_tiny.png",
"fungus_tiny_b.png",
"gazer.png",
"ghost.png",
"ghoul.png",
"giant.png",
"giantshooter.png",
"giantshooter_weak.png",
"goblin_bomb.png",
"greed_ghost.png",
"healerdrone.png",
"healerdrone_emissive.png",
"homunculus.png",
"homunculus_dark.png",
"homunculus_fire.png",
"homunculus_heal.png",
"homunculus_laser.png",
"icer.png",
"iceskull.png",
"lasershooter.png",
"lasershooter_emissive.png",
"longleg.png",
"lurker.png",
"maggot.png",
"maggot_tiny_body.png",
"maggot_tiny_body_emissive.png",
"maggot_tiny_head.png",
"maggot_tiny_head_emissive.png",
"maggot_tiny_tail.png",
"maggot_tiny_tail_emissive.png",
"meatmaggot_body.png",
"meatmaggot_head.png",
"meatmaggot_tail.png",
"mine.png",
"miner.png",
"miner_chef.png",
"miner_fire.png",
"miner_fire_hotspots.png",
"miner_hell.png",
"miner_hotspots.png",
"miner_santa.png",
"miner_weak.png",
"mine_emissive.png",
"miniblob.png",
"miniblob_emissive.png",
"missilecrab.png",
"missilecrab_emissive.png",
"monk.png",
"monk_hand.png",
"necrobot.png",
"necrobot_emissive.png",
"necrobot_hotspots.png",
"necrobot_super.png",
"necrobot_super_emissive.png",
"necromancer.png",
"necromancer_shop.png",
"necromancer_shop_emissive.png",
"necromancer_super.png",
"necromancer_super_emissive.png",
"peasant.png",
"pebble.png",
"pebble_physics.png",
"phantom_a.png",
"phantom_b.png",
"plague_rat.png",
-- "player.png",
"playerghost.png",
-- "player_amulet.png",
-- "player_amulet_gem.png",
-- "player_arm.png",
-- "player_arm_hotspots.png",
-- "player_arm_no_item.png",
-- "player_halo_dark.png",
-- "player_halo_light.png",
-- "player_hat.png",
-- "player_hat2.png",
-- "player_hat2_shadow.png",
-- "player_hotspots.png",
-- "player_lukky.png",
-- "player_old.png",
-- "player_only_arm.png",
"rat.png",
"roboguard.png",
"roboguard_big.png",
"roboguard_big_emissive.png",
"scavenger_clusterbomb.png",
"scavenger_glue.png",
"scavenger_glue_emissive.png",
"scavenger_grenade.png",
"scavenger_grenade_hotspots.png",
"scavenger_heal.png",
"scavenger_invis.png",
"scavenger_leader.png",
"scavenger_mine.png",
"scavenger_poison.png",
"scavenger_shield.png",
"scavenger_smg.png",
"scavenger_smg_hotspots.png",
"scorpion.png",
"shaman.png",
"shaman_hotspots.png",
"shaman_lantern.png",
"sheep.png",
"sheep_bat.png",
"sheep_fly.png",
"shooterflower.png",
"shotgunner.png",
"shotgunner_hell.png",
"shotgunner_hotspots.png",
"shotgunner_weak.png",
"skullfly.png",
"skullmage.png",
"skullrat.png",
"skycrystal_physics.png",
"skygazer.png",
"skymonster_body.png",
"skymonster_body2.png",
"skymonster_head.png",
"skymonster_wing1.png",
"slimeshooter.png",
"slimeshooter_weak.png",
"slimespirit.png",
"sniper.png",
"sniper_hell.png",
"sniper_hell_overlay.png",
"spearbot.png",
"spitmonster.png",
"statue.png",
"statue_physics.png",
"statue_physics_emissive.png",
"tank.png",
"tank_emissive.png",
"tank_gun.png",
"tank_gun_illusion.png",
"tank_rocket.png",
"tank_rocket_gun.png",
"tank_super.png",
"tank_super_emissive.png",
"tank_super_gun.png",
"tentacler.png",
"tentacler_small.png",
"tentacle_head.png",
"thundermage.png",
"thundermage_big.png",
"thundermage_big_emissive.png",
"thundermage_big_hotspots.png",
"thundermage_emissive.png",
"thunderskull.png",
"thunderskull_uc_src.png",
"turret.png",
"turret_emissive.png",
"ultimate_killer.png",
"weakspirit.png",
"wizard_dark.png",
"wizard_dark_emissive.png",
"wizard_hearty.png",
"wizard_hotspots.png",
"wizard_neutral.png",
"wizard_neutral_emissive.png",
"wizard_poly.png",
"wizard_poly_emissive.png",
"wizard_returner.png",
"wizard_swapper.png",
"wizard_tele.png",
"wizard_tele_emissive.png",
"wizard_twitchy.png",
"wizard_twitchy_emissive.png",
"wizard_weaken.png",
"wizard_wither.png",
"wolf.png",
"worm_big_body.png",
"worm_big_body_illusion.png",
"worm_big_head.png",
"worm_big_head_illusion.png",
"worm_big_tail.png",
"worm_big_tail_illusion.png",
"worm_body.png",
"worm_head.png",
"worm_skull_body.png",
"worm_skull_head.png",
"worm_skull_tail.png",
"worm_tail.png",
"worm_tiny_body.png",
"worm_tiny_head.png",
"worm_tiny_tail.png",
"wraith.png",
"wraith_arm.png",
"wraith_glowing.png",
"wraith_storm.png",
"zombie.png",
"zombie_emissive.png",
"zombie_weak.png",
-- "data/entities/animals/lukki/lukki_feet/lukki_sprite_b.png",
}

local utils = dofile_once("mods/banana_of_rectitude/files/utils.lua")
math.randomseed(utils.create_seed())

local function shuffle_table(t)
  local n = #t
  for i = n, 2, -1 do
    local j = math.random(i)
    t[i], t[j] = t[j], t[i]
  end
end

shuffle_table(enemie_gfx_paths)

-- Collect all material graphics
local function get_material_gfx()
  local materials_content = ModTextFileGetContent("data/materials.xml")
  local image_paths = {}
  for path in materials_content:gmatch("\"([^\"]*%.png)\"") do
    for i, v in ipairs(utils.expand_string(path)) do
      image_paths[v] = true
    end
  end
  return image_paths
end

local max_time_allowed = 4 -- in seconds
local start_time = GameGetRealWorldTimeSinceStarted()
local chunk_size = 8
local corruption_amount = 0.5
for i, v in ipairs(enemie_gfx_paths) do
  local full_filename = "data/enemies_gfx/" .. v
  if ModDoesFileExist(full_filename) then
    utils.corrupt_sprite(full_filename, chunk_size, corruption_amount)
    -- If it takes too long, just stop, we don't wanna make players wait 1 minute,
    -- better to abort the corruption, they'll see less of an effect, but better than
    -- locking them in the loading screen
    local now = GameGetRealWorldTimeSinceStarted()
    -- wait for max 5 seconds
    if now - start_time > max_time_allowed then
      break
    end
  end
end
local chunk_size = 16
local corruption_amount = 0.1
utils.corrupt_sprite("data/ui_gfx/pause_menu/noita_logo.png", chunk_size, corruption_amount)
utils.corrupt_sprite("data/ui_gfx/game_over_menu/game_over.png", chunk_size, corruption_amount)
utils.corrupt_sprite("data/ui_gfx/game_over_menu/game_completed.png", chunk_size, corruption_amount)
utils.corrupt_sprite("data/ui_gfx/loading_splash/noita_logo_anim_01.png", chunk_size, corruption_amount)
utils.corrupt_sprite("data/ui_gfx/pause_menu/help_keyboardmouse.png", chunk_size, corruption_amount)
-- utils.corrupt_sprite("data/ui_gfx/game_mode/banner_normal_overlay.png", chunk_size, corruption_amount)
local chunk_size = 8
local corruption_amount = 0.2
-- utils.corrupt_sprite3("data/ui_gfx/inventory/background.png", chunk_size, corruption_amount)
utils.corrupt_sprite("data/ui_gfx/inventory/inventory_box.png", chunk_size, corruption_amount)
utils.corrupt_sprite("data/ui_gfx/inventory/inventory_box_inactive_overlay.png", chunk_size, corruption_amount)
utils.corrupt_sprite("data/ui_gfx/inventory/full_inventory_box.png", chunk_size, corruption_amount)
utils.corrupt_sprite("data/ui_gfx/inventory/full_inventory_box_highlight.png", chunk_size, corruption_amount)
utils.corrupt_sprite("data/ui_gfx/inventory/quick_inventory_box.png", chunk_size, corruption_amount)
utils.corrupt_sprite("data/ui_gfx/inventory/highlight.png", chunk_size, corruption_amount)
utils.corrupt_sprite("data/ui_gfx/inventory/hover_info_empty_slot.png", chunk_size, corruption_amount)
-- utils.corrupt_sprite2("data/ui_gfx/decorations/9piece0_gray.png", 4, 1)
-- utils.corrupt_sprite2("data/ui_gfx/decorations/9piece0.png", 4, 1)

-- Player
utils.corrupt_sprite3("data/enemies_gfx/player.png", 4, 0.5)

local chunk_size = 8
local corruption_amount = 0.3
math.randomseed(utils.create_seed())
local material_gfx = get_material_gfx()
shuffle_table(material_gfx)
start_time = GameGetRealWorldTimeSinceStarted()
for path in pairs(material_gfx) do
  utils.corrupt_sprite2(path, chunk_size, corruption_amount)
  local now = GameGetRealWorldTimeSinceStarted()
  if now - start_time > max_time_allowed then
    break
  end
end
start_time = GameGetRealWorldTimeSinceStarted()
dofile_once("data/scripts/gun/gun_actions.lua")
for i, action in pairs(actions) do
  utils.corrupt_sprite2(action.sprite, chunk_size, corruption_amount)
  local now = GameGetRealWorldTimeSinceStarted()
  if now - start_time > max_time_allowed then
    break
  end
end
