local utils = dofile_once("mods/banana_of_rectitude/files/utils.lua")
local entity_id = GetUpdatedEntityID()
local var_store = utils.get_variable_storage_component(entity_id, "banana_hearthstone_portal_id")
if var_store then
  local portal_id = tonumber(GlobalsGetValue("banana_of_rectitude_banana_hearthstone_latest_portal_id", "0"))
  local this_portal_id = ComponentGetValue2(var_store, "value_int")
  if this_portal_id ~= portal_id then
    EntityKill(entity_id)
  end
else
  -- Should never get here but who knows, doesn't hurt
  -- EntityKill(entity_id)
end
